import { Loader } from "../loader";
export class StringLoader extends Loader {
    constructor(transform) {
        super();
        this.data = [];
        this.transform = transform;
    }
    async loadData() { }
    mapTransform(datas) {
        if (!this.transform)
            return datas;
        const newdata = [];
        for (const data of datas)
            newdata.push(this.transform(data));
        return newdata;
    }
}
